# ApplicationFramework
TKPShape
PColgp

# PColgp_VArrayNodeOfFieldOfHArray1OfPnt Class Reference

`#include <PColgp_VArrayNodeOfFieldOfHArray1OfPnt.hxx>`

Inheritance diagram for PColgp_VArrayNodeOfFieldOfHArray1OfPnt:

[legend]

## Public Member Functions

Standard_EXPORT | PColgp_VArrayNodeOfFieldOfHArray1OfPnt ()
Standard_EXPORT | PColgp_VArrayNodeOfFieldOfHArray1OfPnt (const gp_Pnt &aValue)
Standard_EXPORT void | SetValue (const gp_Pnt &aValue)
Standard_EXPORT Standard_Address | Value () const
| PColgp_VArrayNodeOfFieldOfHArray1OfPnt (const Storage_stCONSTclCOM &a)
const gp_Pnt & | _CSFDB_GetPColgp_VArrayNodeOfFieldOfHArray1OfPntmyValue () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

gp_Pnt | myValue

## Constructor & Destructor Documentation

Standard_EXPORT PColgp_VArrayNodeOfFieldOfHArray1OfPnt::PColgp_VArrayNodeOfFieldOfHArray1OfPnt | ( |  | ) |

Standard_EXPORT PColgp_VArrayNodeOfFieldOfHArray1OfPnt::PColgp_VArrayNodeOfFieldOfHArray1OfPnt | ( | const gp_Pnt & | aValue | ) |

PColgp_VArrayNodeOfFieldOfHArray1OfPnt::PColgp_VArrayNodeOfFieldOfHArray1OfPnt | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const gp_Pnt& PColgp_VArrayNodeOfFieldOfHArray1OfPnt::_CSFDB_GetPColgp_VArrayNodeOfFieldOfHArray1OfPntmyValue | ( |  | ) | const`[inline]`

Standard_EXPORT const PColgp_VArrayNodeOfFieldOfHArray1OfPnt::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PStandard_ArrayNode.

Standard_EXPORT void PColgp_VArrayNodeOfFieldOfHArray1OfPnt::SetValue | ( | const gp_Pnt & | aValue | ) |

Standard_EXPORT Standard_Address PColgp_VArrayNodeOfFieldOfHArray1OfPnt::Value | ( |  | ) | const

## Field Documentation

gp_Pnt PColgp_VArrayNodeOfFieldOfHArray1OfPnt::myValue`[private]`

The documentation for this class was generated from the following file:

- PColgp_VArrayNodeOfFieldOfHArray1OfPnt.hxx